Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.exec
Interface StatementExecutor

All Known Implementing Classes:
  AbstractStatementExecutor, BasicExecutor, MultiTableDeleteExecutor, MultiTableUpdateExecutor

    public interface StatementExecutor

Encapsulates the strategy required to execute various types of update, delete, and insert statements issued through HQL.

Method Summary
`int` | `execute(QueryParameters parameters, SessionImplementor session)` Execute the sql managed by this executor using the given parameters.
`String[]` | `getSqlStatements()`

Method Detail

### getSqlStatements

    String[] getSqlStatements()

### execute

    int execute(QueryParameters parameters,
                SessionImplementor session)
                throws HibernateException

  Execute the sql managed by this executor using the given parameters.

  Parameters:
    `parameters` - Essentially bind information for this processing.
    `session` - The session originating the request.
  Returns:
    The number of entities updated/deleted.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.